%define apache_version 1.3.22
%define mod_bandwidth_version 1.3.0
%define mod_put_version 1.3
%define mod_ssl_version 2.8.5-1.3.22
%define mod_throttle_version 211
%define sslc_version 1.0.0i
%define mm_version 1.1.3

Summary: Leading World Wide Web server with SSL support.
Name: secureweb
Version: 3.2.6
Release: 1
Group: System Environment/Daemons

Source0: ftp://ftp.apache.org/dist/apache_%{apache_version}.tar.gz
Source1: ftp://ftp.modssl.org/source/mod_ssl-%{mod_ssl_version}.tar.gz
Source2: http://www.engelschall.com/sw/mm/mm-%{mm_version}.tar.gz
Source3: ftp://ftp.cohprog.com/pub/apache/module/%{mod_bandwidth_version}/mod_bandwidth.c
Source4: http://www.snert.com/Software/Throttle/mod_throttle%{mod_throttle_version}.tgz
Source5: http://hpwww.ec-lyon.fr/~vincent/apache/mod_put.tar.gz

# The next source archive should extract so that a file named
# secureweb/library/lib/libsslc.a is extracted.
Source6: bsafe-sslc-%{sslc_version}.tar.bz2
NoSource: 6

Source7: secureweb-index.html
Source8: logotype.png
Source9: rsasec_55_clr_web1.gif
Source10: httpsd.init
Source11: secureweb.logrotate
Source12: secureweb-access.conf
Source13: secureweb-httpd.conf
Source14: secureweb-srm.conf
Source15: spacer48.png
Source16: verisign-gsid.html
Source17: ssl_overview_fig1_sslc.gif
Source18: Makefile.certificate
Source19: sslc.cnf

Source40: mod_ssl-2.8.5-1.3.22-bsafe-sslc.patch
NoSource: 40

Source50: SSLeay-0.9.0b-apps-sslc.patch
NoSource: 50

Source60: genrsa.c
Source61: req.c
Source62: x509.c

Source70: asn1.h
Source71: bio.h
Source72: bn.h
Source73: buffer.h
Source74: conf.h
Source75: des.h
Source76: dh.h
Source77: evp.h
Source78: lhash.h
Source79: md2.h
Source80: md5.h
Source81: objects.h
Source82: pkcs7.h
Source83: rc2.h
Source84: rc4.h
Source85: ripemd.h
Source86: rsa.h
Source87: sha.h
Source88: stack.h
Source89: x509.h
Source90: x509_vfy.h

Patch0: apache_1.3.22-httpsd.patch
Patch1: apache_1.3.11-apxs.patch
Patch2: apache_1.3.22-srvname.patch
Patch3: apache_1.3.9-maxprocs.patch
Patch4: apache_1.3.12-piranha.patch
Patch5: apache_1.3.22-chunk.patch
Patch6: mod_ssl-2.8.5-1.3.22-docs.patch
Patch7: mod_ssl-2.8.5-buffers.patch

License: Export restricted / not for redistribution / single CPU.
BuildRoot: %{_tmppath}/%{name}-root
Requires: /etc/mime.types
Prereq: /sbin/chkconfig, /bin/mktemp, /bin/rm, mailcap, grep, textutils
Obsoletes: apache-ssl, apache-ssl-utils, apache
Provides: webserver, apache

%description
Secure Web server consists of the popular Apache web server with
extensions to enable secure transactions.  Secure Socket Layer (SSL)
version 2 and 3 are supported, as well as the newer TLSv1.  Secure Web
Server replaces Apache if you already have it installed, as it
supplies all of Apache's functionality and more.

%package devel
Group: Development/Libraries
Summary: Module development tools for the Apache Web Server
Obsoletes: apache-devel
Provides: apache-devel

%description devel
The secureweb-devel package contains the source code for the Apache
Web server and the APXS binary you'll need to build Dynamic Shared
Objects (DSOs) for Apache.

If you are installing the Apache Web server, and you want to be able
to compile or develop additional modules for Apache, you'll need to
install this package.

%package manual
Group: Documentation
Summary: Manual and reference for the Apache web server.
Obsoletes: apache-manual
Provides: apache-manual

%description manual
The secureweb-manual package contains the complete manual and
reference guide for the Apache web server and SSL module.  If you need
documentation installed on the local machine, install this package.
The information can also be referenced online at
http://www.apache.org/docs/.

%prep
# First, unpack all sources. Use a meta toplevel directory "secureweb."
%setup -q -c -n secureweb -a 1 -a 2 -a 5 -a 6
gzip -d -c %{SOURCE4} | tar -x -C apache_%{apache_version} -f -
install -m644 %{SOURCE3} .
chmod -R u+w .

# Patches for Red Hat specific changes to apache.
pushd apache_%{apache_version}
%patch0 -p1 -b .httpsd
%patch1 -p1 -b .apxs
%patch2 -p1 -b .srvname
%patch3 -p1 -b .maxprocs
%patch4 -p1 -b .piranha
%patch5 -p0 -b .chunk
popd

# Patch mod_ssl so that it will build with BSAFE-SSLC.
pushd mod_ssl-%{mod_ssl_version}
patch -p1 -s -b -z .bsafe-sslc < %{SOURCE40}
chmod -R u+rw .
install -m644 $RPM_SOURCE_DIR/ssl_overview_fig1_sslc.gif pkg.ssldoc/ssl_overview_fig1.gif
%patch6 -p1 -b .docs
%patch7 -p1 -b .buffers
popd

# Prep SSLeay-derived minimal stuffs.
mkdir SSLeay
pushd SSLeay
install -m644 %{SOURCE60} %{SOURCE61} %{SOURCE62} .
install -m644 %{SOURCE70} %{SOURCE71} %{SOURCE72} %{SOURCE73} %{SOURCE74} .
install -m644 %{SOURCE75} %{SOURCE76} %{SOURCE77} %{SOURCE78} %{SOURCE79} .
install -m644 %{SOURCE80} %{SOURCE81} %{SOURCE82} %{SOURCE83} %{SOURCE84} .
install -m644 %{SOURCE85} %{SOURCE86} %{SOURCE87} %{SOURCE88} %{SOURCE89} .
install -m644 %{SOURCE90} .
patch -p1 -s -b -z .bsafe-sslc < %{SOURCE50}
popd

%build
# First build MM.
pushd mm-%{mm_version}
%configure --disable-shared
make
popd

# Configure mod_ssl/Apache.
pushd mod_ssl-%{mod_ssl_version}
OPTIM="$RPM_OPT_FLAGS -fPIC" ; export OPTIM
CFLAGS=-I`pwd`/../SSLeay ; export CFLAGS
EAPI_MM=../mm-%{mm_version} ; export EAPI_MM
	./configure \
	--with-apache=../apache_%{apache_version} \
	--with-ssl=../library \
	--with-mm=../mm-%{mm_version} \
	--prefix=/usr --with-layout=RedHat \
	--target=httpsd \
	--add-module=`pwd`/../mod_bandwidth.c \
	--add-module=`pwd`/../mod_put-%{mod_put_version}/mod_put.c \
	--activate-module=src/modules/throttle/mod_throttle.o \
	--enable-module=all \
	--enable-shared=max \
	--disable-rule=WANTHSREGEX \
	--disable-module=auth_dbm \
	--with-perl=%{__perl} \
	--enable-suexec \
	--suexec-docroot=/home/httpd/html \
	--suexec-caller=nobody
popd

# Build key generation and certificate signing request / viewing programs.
make -C SSLeay SSLCDIR=../library

# Now just build Apache.
make -C apache_%{apache_version}
	
%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
install -m 755 -d $RPM_BUILD_ROOT/usr/{bin,lib/ssl,sbin}

# Install the minimal tools and the sslc configuration file.
install -m 755 SSLeay/sslgenrsa $RPM_BUILD_ROOT/usr/sbin/sslgenrsa
install -m 755 SSLeay/sslreq $RPM_BUILD_ROOT/usr/sbin/sslreq
install -m 755 SSLeay/sslx509 $RPM_BUILD_ROOT/usr/sbin/sslx509
install -m 644 %{SOURCE19} $RPM_BUILD_ROOT/usr/lib/ssl

# Perform the normal apache install.
make -C apache_%{apache_version} install root=$RPM_BUILD_ROOT

# Install SYSV init script and links.
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m755 $RPM_SOURCE_DIR/httpsd.init $RPM_BUILD_ROOT/etc/rc.d/init.d/httpsd
ln -sf httpsd $RPM_BUILD_ROOT/etc/rc.d/init.d/httpd

for I in 0 1 2 6; do
	mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc$I.d
	ln -s ../init.d/httpsd $RPM_BUILD_ROOT/etc/rc.d/rc$I.d/K15httpsd
done
for I in 3 5; do
	mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc$I.d
	ln -s ../init.d/httpsd $RPM_BUILD_ROOT/etc/rc.d/rc$I.d/S85httpsd
done

# Install log rotation configuration.
mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
install -m644 $RPM_SOURCE_DIR/secureweb.logrotate \
	$RPM_BUILD_ROOT/etc/logrotate.d/secureweb

# Set up symlinks so that links relative to the configuration directory
# point to the right places on the filesystem.
ln -s ../../var/log/httpd $RPM_BUILD_ROOT/etc/httpd/logs
ln -s ../../usr/lib/apache $RPM_BUILD_ROOT/etc/httpd/modules

# Install the default home page and icons it references.
install -m644 $RPM_SOURCE_DIR/secureweb-index.html \
        $RPM_BUILD_ROOT/home/httpd/html/index.html
install -m644 $RPM_SOURCE_DIR/logotype.png \
	$RPM_BUILD_ROOT/home/httpd/html/
install -m644 $RPM_SOURCE_DIR/rsasec_55_clr_web1.gif \
	$RPM_BUILD_ROOT/home/httpd/html/
install -m644 $RPM_SOURCE_DIR/spacer48.png \
	$RPM_BUILD_ROOT/home/httpd/html/
install -m644 $RPM_SOURCE_DIR/verisign-gsid.html \
	$RPM_BUILD_ROOT/home/httpd/html/
install -m644 apache_%{apache_version}/icons/apache_pb.gif \
	$RPM_BUILD_ROOT/home/httpd/html/
install -m644 mod_ssl-%{mod_ssl_version}/pkg.ssldoc/mod_ssl_sb.gif \
	$RPM_BUILD_ROOT/home/httpd/html/

# Install a link to the installation guide (from the rhl-ss package).
rm -f $RPM_BUILD_ROOT/home/httpd/html/install-guide
ln -sf ../../../usr/doc/rhl-ss-6.2en \
	$RPM_BUILD_ROOT/home/httpd/html/install-guide

# Replace Apache's default config files with our own versions.
install -m644 $RPM_SOURCE_DIR/secureweb-access.conf \
	$RPM_BUILD_ROOT/etc/httpd/conf/access.conf

install -m644 $RPM_SOURCE_DIR/secureweb-httpd.conf \
	$RPM_BUILD_ROOT/etc/httpd/conf/httpd.conf
ln -sf httpd.conf $RPM_BUILD_ROOT/etc/httpd/conf/httpsd.conf

install -m644 $RPM_SOURCE_DIR/secureweb-srm.conf \
	$RPM_BUILD_ROOT/etc/httpd/conf/srm.conf

# Install the certificate makefile.
install -m755 $RPM_SOURCE_DIR/Makefile.certificate \
	$RPM_BUILD_ROOT/etc/httpd/conf/Makefile

# Fix up perl scripts so that they run perl from the right directory.
find $RPM_BUILD_ROOT -type f | \
	xargs grep -l "/usr/local/bin/perl5" | \
	xargs %{__perl} -pi -e "s|/usr/local/bin/perl5|%{__perl}|g;"
find $RPM_BUILD_ROOT -type f | \
	xargs grep -l "/usr/local/bin/perl" | \
	xargs %{__perl} -pi -e "s|/usr/local/bin/perl|%{__perl}|g;"

# fixup the documentation file naming
for file in `find $RPM_BUILD_ROOT -name "*.html.html"` ; do
	mv $file `echo "$file" | sed s,.html.html,.html,g`
done

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%pre
if [ -d /var/log/httpd ]; then
  if [ "`ls /var/log/httpd`" != "" ]; then
    # because the pre script of apache will remove log files,
    # and the user may want to save them, we'll hide them somewhere
    mkdir /var/tmp/httpd-logs
    cp -a /var/log/httpd/* /var/tmp/httpd-logs
  fi
fi

# move old key/certificate if upgrading SWS 1.x/2.x
# make sure there isn't a new key / cert combo first
if [ $1 != 0 ]; then
  if [ -f /etc/httpd/conf/httpsd.key -a ! -f /etc/httpd/conf/ssl.key/server.key ]; then
    mkdir /var/tmp/httpsd-keys
    cp -a /etc/httpd/conf/httpsd.key /var/tmp/httpsd-keys
    cp -a /etc/httpd/conf/httpsd.crt /var/tmp/httpsd-keys
  fi
fi

%post
# if temp log files are in /var/tmp, move them back to /var/log
if [ -d /var/tmp/httpd-logs ]; then
  cp -a /var/tmp/httpd-logs/* /var/log/httpd
  rm -fr /var/tmp/httpd-logs
fi

# move old key/certificate if upgrading SWS 1.x/2.x
if [ -d /var/tmp/httpsd-keys ]; then
  mv /var/tmp/httpsd-keys/httpsd.key /etc/httpd/conf/ssl.key/server.key
  mv /var/tmp/httpsd-keys/httpsd.crt /etc/httpd/conf/ssl.crt/server.crt
  rmdir /var/tmp/httpsd-keys
fi

/sbin/chkconfig --add httpsd
[ -f /etc/mime.types ] || exit 0
# safely add .htm to mime types if it is not already there
TEMPTYPES=`/bin/mktemp /tmp/mimetypes.XXXXXX`
[ -z "$TEMPTYPES" ] && {
  echo "could not make temporary file, htm not added to /etc/mime.types" >&2
  exit 1
}
( grep -v "^text/html"  /etc/mime.types
  types=$(grep "^text/html" /etc/mime.types | cut -f2-)
  echo -en "text/html\t\t\t"
  for val in $types ; do
      if [ "$val" = "htm" ] ; then
          continue
      fi
      echo -n "$val "
  done
  echo "htm"
) > $TEMPTYPES
cat $TEMPTYPES > /etc/mime.types && /bin/rm -f $TEMPTYPES

%preun
if [ $1 = 0 ]; then
   /etc/rc.d/init.d/httpsd stop > /dev/null 2>&1
   /sbin/chkconfig --del httpsd
   /bin/rm -fr /var/run/ssl_mutex
   /bin/rm -fr /var/cache/ssl_scache
   /bin/rm -fr /var/cache/httpd/*
fi
  
%files
%defattr(-,root,root)
%dir /etc/httpd/conf
%dir /etc/httpd/conf/ssl.crt
%attr(0755,root,root) /etc/httpd/conf/ssl.crt/Makefile
%config /etc/httpd/conf/ssl.crt/ca-bundle.crt
%config /etc/httpd/conf/ssl.crt/snakeoil-rsa.crt
%dir /etc/httpd/conf/ssl.csr
%dir /etc/httpd/conf/ssl.key
%config /etc/httpd/conf/ssl.key/snakeoil-rsa.key
%dir /etc/httpd/conf/ssl.crl
%dir /etc/httpd/conf/ssl.prm

%config /etc/httpd/conf/Makefile
%config /etc/httpd/conf/access.conf
%config /etc/httpd/conf/srm.conf
%config /etc/httpd/conf/httpd.conf
%config /etc/httpd/conf/httpsd.conf
#%config /etc/httpd/conf/magic

/etc/httpd/logs
/etc/httpd/modules
%config /etc/logrotate.d/secureweb
%config /etc/rc.d/init.d/httpsd
%config /etc/rc.d/init.d/httpd
%config(missingok) /etc/rc.d/rc3.d/S85httpsd
%config(missingok) /etc/rc.d/rc5.d/S85httpsd
%config(missingok) /etc/rc.d/rc0.d/K15httpsd
%config(missingok) /etc/rc.d/rc1.d/K15httpsd
%config(missingok) /etc/rc.d/rc2.d/K15httpsd
%config(missingok) /etc/rc.d/rc6.d/K15httpsd

%dir /home/httpd
%dir /home/httpd/cgi-bin
%dir /home/httpd/html
%config(noreplace) /home/httpd/html/index.html
/home/httpd/html/verisign-gsid.html
/home/httpd/html/logotype.png
/home/httpd/html/apache_pb.gif
/home/httpd/html/mod_ssl_sb.gif
/home/httpd/html/spacer48.png
/home/httpd/html/rsasec_55_clr_web1.gif
/home/httpd/html/install-guide
/home/httpd/icons

#%config /usr/lib/ssl/openssl.cnf
%config /usr/lib/ssl/sslc.cnf
/usr/lib/apache
/usr/man/man1/*
/usr/man/man8/ab.8*
/usr/man/man8/httpsd.8*
/usr/man/man8/logresolve.8*
/usr/man/man8/rotatelogs.8*
/usr/man/man8/suexec.8*
/usr/sbin/sslgenrsa
/usr/sbin/sslreq
/usr/sbin/sslx509
/usr/sbin/ab
/usr/sbin/httpsd
/usr/sbin/logresolve
/usr/sbin/rotatelogs
%attr(0711,root,root) /usr/sbin/suexec
/usr/bin/*

%attr(-,nobody,nobody) %dir /var/cache/httpd
%dir /var/log/httpd

%files manual
%defattr(-,root,root)
/home/httpd/html/manual

%files devel
%defattr(-,root,root)
/usr/include/apache
/usr/sbin/apxs
/usr/man/man8/apxs.8*

%changelog
* Wed Jun 19 2002 Nalin Dahyabhai <nalin@redhat.com> 3.2.6-1
- incorporate fix for chunked encoding DoS from apache 1.3.26

* Tue Mar 12 2002 Nalin Dahyabhai <nalin@redhat.com> 3.2.5-3
- do the renaming right this time

* Mon Mar 11 2002 Nalin Dahyabhai <nalin@redhat.com> 3.2.5-2
- rename .html.html files to .html

* Mon Mar  4 2002 Nalin Dahyabhai <nalin@redhat.com> 3.2.5-1
- add the parts of the mod_ssl 2.8.5 to 2.8.7 update to fix potential buffer
  overflows

* Wed Dec  5 2001 Nalin Dahyabhai <nalin@redhat.com> 3.2.4-1
- update apache to 1.3.22, mod_ssl to 2.8.5, mm to 1.1.3

* Tue Mar 27 2001 Nalin Dahyabhai <nalin@redhat.com>
- update apache to 1.3.19, mod_ssl to 2.8.1

* Wed Oct 25 2000 Nalin Dahyabhai <nalin@redhat.com> 3.2.3-1
- fix problem with StdEnvVars directive (#14147)
- update apache to 1.3.14
- update mod_ssl to 2.7.1 to match apache

* Thu May  4 2000 Nalin Dahyabhai <nalin@redhat.com>
- upgraded mod_ssl to 2.6.4
- fix virtual hosting problems

* Fri Mar 17 2000 Nalin Dahyabhai <nalin@redhat.com>
- modify default home page to include the proper acknowledgement of RSA
- modify default home page to make RSA's logo a link to their web site
- modify default home page to move apache_pb.gif and mod_ssl_sb.gif

* Wed Mar 15 2000 Nalin Dahyabhai <nalin@redhat.com>
- update Makefile to match docs for generating CSRs

* Mon Mar 13 2000 Nalin Dahyabhai <nalin@redhat.com>
- add docs on using VeriSign Global Server IDs
- make /etc/rc.d/init.d/httpd a symlink to /etc/rc.d/init.d/httpsd

* Mon Mar 06 2000 Nalin Dahyabhai <nalin@redhat.com>
- upgraded mod_ssl to 2.6.2
- verify that VeriSign GSIDs work properly

* Wed Mar 01 2000 Nalin Dahyabhai <nalin@redhat.com>
- make suexec limit UIDs and GIDs to < 51 instead of 100

* Fri Feb 25 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix signon version
- add 5 second delay in restart for when JServ lollygags
- update to Apache 1.3.12 and mod_ssl 2.6.0

* Wed Feb 23 2000 Nalin Dahyabhai <nalin@redhat.com>
- larger-scale mods to mod_ssl
- compressed man page support
- fix password-prompting under init
- clean up HTML in default home page

* Thu Feb 16 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to Apache 1.3.11
- update to mod_ssl 2.5.0
- patch mod_ssl to use RSA BSAFE SSL-C 1.0.0i
- drop apxs, which doesn't build with BSAFE SSL-C
- add extracted progs to do key generation
- modify init script to use RHL 6.x-isms

* Thu Jan 13 2000 Preston Brown <pbrown@redhat.com>
- updated RSA logo and links
- changed our own images to PNG
- mod_ssl 2.4.10 to fix segfault issues
- fixed testcert target
- merge fixes from latest apache package
- make us provide apache, apache-devel, apache-manual

* Mon Sep 04 1999 Preston Brown <pbrown@redhat.com>
- cleaned up openssl + upgrade version, latest mod_ssl
- index.html updates
- mm integration
 
* Fri May 21 1999 Preston Brown <pbrown@redhat.com>
- more efficient BSAFE <--> EAY RSA conversion code, better BSAFE RC4 code

* Thu Apr 29 1999 Preston Brown <pbrown@redhat.com>
- port secure web server to this version of the spec file

* Wed Apr 07 1999 Bill Nottingham <notting@redhat.com>
- allow indexes in /doc

* Tue Apr 06 1999 Preston Brown <pbrown@redhat.com>
- strip binaries

* Mon Apr 05 1999 Preston Brown <pbrown@redhat.com>
- prerequire /bin/rm, added /doc path pointing to /usr/doc for localhost

* Fri Mar 26 1999 Preston Brown <pbrown@redhat.com>
- updated log rotating scripts to not complain if logs aren't present.

* Thu Mar 25 1999 Preston Brown <pbrown@redhat.com>
- fixed up path to perl

* Wed Mar 24 1999 Preston Brown <pbrown@redhat.com>
- updated init script to conform to new standards
- upgraded to 1.3.6, fixed apxs patch

* Mon Mar 22 1999 Preston Brown <pbrown@redhat.com>
- clean up logfiles on deinstallation

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Fri Mar 12 1999 Cristian Gafton <gafton@redhat.com>
- added mod_bandwidth
- updated to 1.3.4
- prereq mailcap

* Fri Dec 18 1998 Cristian Gafton <gafton@redhat.com>
- added patch to disable building support for ndbm
- build against glibc 2.1

* Mon Oct 12 1998 Cristian Gafton <gafton@redhat.com>
- updated to 1.3.3 to catch up with bug fixes
- added the /usr/bin/* binaries to the spec file list

* Fri Sep 25 1998 Cristian Gafton <gafton@redhat.com>
- change ownership of cache dir to nobody
- added "Red Hat" to the server string
- updated to version 1.3.2
- fixed all references to httpsd in config files

* Fri Sep 04 1998 Cristian Gafton <gafton@redhat.com>
- small fixes to the spec file
- patch to handle correctly the -d <newroot> option
- leave out the .usr.src.apache_%{version} for now

* Thu Sep 03 1998 Preston Brown <pbrown@redhat.com>
- patched apxs not to bomb out if it can't find httpd

* Wed Sep 02 1998 Preston Brown <pbrown@redhat.com>
- upgraded to apache 1.3.1.
- Heavy rewrite.
- changed providing a_web_server to just webserver.  Humor is not an option.

* Mon Aug 10 1998 Erik Troan <ewt@redhat.com>
- updated to build as non-root user
- added patch to defeat header dos attack

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed May 06 1998 Cristian Gafton <gafton@redhat.com>
- fixed the default config files to be more paranoid about security

* Sat May 02 1998 Cristian Gafton <gafton@redhat.com>
- fixed init script
- added index.htm to the list of acceptable indexes

* Sat May 02 1998 Cristian Gafton <gafton@redhat.com>
- updated to 1.2.6
- added post script to install htm extension for text/html into
  /etc/mime.types

* Wed Apr 22 1998 Michael K. Johnson <johnsonm@redhat.com>
- enhanced sysv init script

* Tue Jan 06 1998 Erik Troan <ewt@redhat.com>
- updated to 1.2.5, which includes many security fixes

* Wed Dec 31 1997 Otto Hammersmith <otto@redhat.com>
- fixed overkill on http.init stop

* Wed Dec 31 1997 Erik Troan <ewt@redhat.com>
- added patch for backslash DOS attach

* Thu Nov 06 1997 Donnie Barnes <djb@redhat.com>
- added htdigest binary to file list

* Mon Nov 03 1997 Donnie Barnes <djb@redhat.com>
- made the default index.html be config(noreplace) so we no longer
  blow away other folks' index.html

* Wed Oct 29 1997 Donnie Barnes <djb@redhat.com>
- added chkconfig support
- added restart|status options to initscript
- renamed httpd.init to httpd

* Tue Oct 07 1997 Elliot Lee <sopwith@redhat.com>
- Redid spec file, patches, etc. from scratch.
